<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GoAnalysis](./bitburner.goanalysis.md) &gt; [resetStats](./bitburner.goanalysis.resetstats.md)

## GoAnalysis.resetStats() method

Reset all win/loss and winstreak records for the No AI opponent.

**Signature:**

```typescript
resetStats(resetAll?: boolean): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  resetAll | boolean | _(Optional)_ Optional. if true, reset win/loss records for all opponents. Leaves node power and bonuses unchanged. Defaults to false. |

**Returns:**

void

